function [t,x] = Euler_tx(t0,tf,h,x0,F)

    t = (t0:h:tf)';

    x = zeros(length(t),length(x0));
    x(1,:) = x0;
    
    for i = 2:length(t);
        
        x(i,:) = x(i-1,:) + h.*F(t(i-1),x(i-1,:));
        
    end
    

end